Bug 108186 - Auto-Save fails to lock out UI
Summary: Auto-Save fails to lock out UI
Status: RESOLVED INSUFFICIENTDATA
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
5.3.3.2 release
Hardware: x86 (IA32) Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: AutoSave-AutoRecovery-Backup
  Show dependency treegraph
 
Reported: 2017-05-28 01:34 UTC by Kevin
Modified: 2019-03-21 11:26 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Kevin 2017-05-28 01:34:26 UTC
Description:
Auto-save fails to lock out user UI actions before saving and aborts them awkwardly, sometimes with severe delay and the appearance of a crash

Steps to Reproduce:
1. Set auto-save to a very short duration to shorten reproduction testing time
2. Work normally on formatting


Actual Results:  
1. dialog boxes are partially redrawn
2. program appears to hang (it will eventually recover)
3. sometimes a command is wrongly applied - for example, you select a cell, then go to the formatting toolbar, and click in the font field. Because of another active bug, the act of clicking fails to select all, so a user who spends a lot of time with the program will reflexively type Ctrl-A immediately after click in the font field. But the autosave has garbled the UI and the control-A gets applied to the whole document, then hangs, and all sorts of other trouble ensues.

Expected Results:
1. Whatever command is already in progress when the auto-save kicks in should be allowed to complete before the auto-save operation begins.

2. User commands should be ignored (with or without a warning dialog) during the auto-save.


Reproducible: Sometimes

User Profile Reset: No

Additional Info:


User-Agent: Mozilla/5.0 (Windows NT 6.1; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/58.0.3029.110 Safari/537.36
Comment 1 Buovjaga 2017-06-04 16:33:09 UTC
I cannot reproduce, because there is no cue for me when the saving of autorecovery information happens. I set it to 1 minute and there is nothing like in your "Actual results".

I tried having a dialog open and also clicking into the font field and Ctrl-A.

Arch Linux 64-bit, KDE Plasma 5
Version: 5.5.0.0.alpha0+
Build ID: c855400e9686ddd8bcba5691393f839f6f52c966
CPU threads: 8; OS: Linux 4.11; UI render: default; VCL: kde4; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group
Built on June 2nd 2017

Version: 5.5.0.0.alpha0+
Build ID: b08217989558addbcaded122a4e7211ae24bbcff
CPU threads: 4; OS: Windows 6.19; UI render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2017-05-31_06:31:36
Locale: fi-FI (fi_FI); Calc: group
Comment 2 Kevin 2017-06-05 08:06:26 UTC
This is a perfect example of why I think any engineer working on this project needs to spend a full day in the trenches, actually trying to use the program to make a large and complex spreadsheet look good. Do that and you'll not only encounter this problem many times, but you'll understand why my "trivial" and "enhancement" reports are anything but. The high interest in this program stems from the horrendous UI of Microsoft Excel. It's not a "free" program that the world is clamoring for - it's a friendly, elegand, intelligent program. For every two problems you solve in Excel, you add a new one.
Comment 3 Jean-Baptiste Faure 2018-06-25 07:17:05 UTC
Never had problem with auto-save. That said I do not use a PC under MS-Windows...

Please attach a test file complex enough and describe precisely:
- what kind of change / editing should be made in this document to encounter the faulty behavior
- what happens with _this_ test file when working with it.

Please, understand that without a clear scenario to reproduce the faulty behavior, it is impossible to fix it and to write a non-regression test.

Status set to NEEDINFO, please set it back to UNCONFIRMED once requested
informations are provided.

Best regards. JBF
Comment 4 QA Administrators 2019-01-11 15:21:42 UTC Comment hidden (obsolete)
Comment 5 QA Administrators 2019-03-21 11:26:06 UTC
Dear Bug Submitter,

Please read this message in its entirety before proceeding.

Your bug report is being closed as INSUFFICIENTDATA due to inactivity and
a lack of information which is needed in order to accurately
reproduce and confirm the problem. We encourage you to retest
your bug against the latest release. If the issue is still
present in the latest stable release, we need the following
information (please ignore any that you've already provided):

a) Provide details of your system including your operating
   system and the latest version of LibreOffice that you have
   confirmed the bug to be present

b) Provide easy to reproduce steps – the simpler the better

c) Provide any test case(s) which will help us confirm the problem

d) Provide screenshots of the problem if you think it might help

e) Read all comments and provide any requested information

Once all of this is done, please set the bug back to UNCONFIRMED
and we will attempt to reproduce the issue. Please do not:

a) respond via email 

b) update the version field in the bug or any of the other details
   on the top section of our bug tracker

Warm Regards,
QA Team

MassPing-NeedInfo-20190321